import React, { CSSProperties } from 'react';
import { ComponentMeta } from '@storybook/react';
import type { KpiProps } from '@opendatasoft/visualizations';
declare function StyledKpi({ style, ...props }: KpiProps & {
    style: CSSProperties;
}): React.JSX.Element;
declare const meta: ComponentMeta<typeof StyledKpi>;
export default meta;
export declare const Default: import("@storybook/types").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, KpiProps & {
    style: CSSProperties;
}>;
export declare const FullCustom: import("@storybook/types").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, KpiProps & {
    style: CSSProperties;
}>;
